Create flag
POST/accounts/{account_id}/flagship/apps/{app_id}/flags
Creates a flag. Returns 409 if the key already exists. type is inferred from variation values and may be omitted.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Create flag
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/flagship/apps/$APP_ID/flags \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"default_variation": "x",
"enabled": true,
"key": "x",
"rules": [
{
"conditions": [
{
"attribute": "x",
"operator": "equals",
"value": {}
}
],
"priority": 1,
"serve_variation": "x"
}
],
"variations": {
"foo": "string"
}
}'{
"errors": [
{
"message": "message"
}
],
"messages": [
{
"message": "message"
}
],
"result": {
"default_variation": "x",
"enabled": true,
"key": "x",
"rules": [
{
"conditions": [
{
"attribute": "x",
"operator": "equals",
"value": {}
}
],
"priority": 1,
"serve_variation": "x",
"rollout": {
"percentage": 0,
"attribute": "x"
}
}
],
"variations": {
"foo": "string"
},
"description": "description",
"type": "boolean",
"updated_at": "updated_at",
"updated_by": "updated_by"
},
"success": true
}Returns Examples
{
"errors": [
{
"message": "message"
}
],
"messages": [
{
"message": "message"
}
],
"result": {
"default_variation": "x",
"enabled": true,
"key": "x",
"rules": [
{
"conditions": [
{
"attribute": "x",
"operator": "equals",
"value": {}
}
],
"priority": 1,
"serve_variation": "x",
"rollout": {
"percentage": 0,
"attribute": "x"
}
}
],
"variations": {
"foo": "string"
},
"description": "description",
"type": "boolean",
"updated_at": "updated_at",
"updated_by": "updated_by"
},
"success": true
}